<?xml version='1.0' encoding='utf-8' ?>
<!DOCTYPE LIGO_LW [
<!ELEMENT LIGO_LW ((LIGO_LW|Comment|Param|Table|Array|Stream|IGWDFrame|AdcData|Time)*)>
<!ATTLIST LIGO_LW
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED>

<!ELEMENT Comment (#PCDATA)>

<!ELEMENT Param (#PCDATA|Comment)*>
<!ATTLIST Param 
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED
          Unit CDATA #IMPLIED>

<!ELEMENT Table (Comment?,Column*,Stream?)>
<!ATTLIST Table 
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED>

<!ELEMENT Column EMPTY>
<!ATTLIST Column
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED
          Unit CDATA #IMPLIED>

<!ELEMENT Array (Dim*,Stream?)>
<!ATTLIST Array 
          Name CDATA #IMPLIED
          Type CDATA #IMPLIED>

<!ELEMENT Dim (#PCDATA)>
<!ATTLIST Dim 
          Name  CDATA #IMPLIED
          Units CDATA #IMPLIED>

<!ELEMENT Stream (#PCDATA)>
<!ATTLIST Stream 
          Name      CDATA #IMPLIED
          Type      (Remote|Local) "Local"
          Delimiter CDATA ","
          Encoding  CDATA #IMPLIED
          Content   CDATA #IMPLIED>

<!ELEMENT IGWDFrame ((Comment|Param|Time|Detector|AdcData|LIGO_LW|Stream?|Array)*)>
<!ATTLIST IGWDFrame 
          Name CDATA #IMPLIED>

<!ELEMENT Detector ((Comment|Param|LIGO_LW)*)>
<!ATTLIST Detector 
          Name CDATA #IMPLIED>

<!ELEMENT AdcData ((AdcData|Comment|Param|Time|LIGO_LW|Array)*)>
<!ATTLIST AdcData 
          Name CDATA #IMPLIED>

<!ELEMENT Time (#PCDATA)>
<!ATTLIST Time 
          Name CDATA #IMPLIED
          Type (GPS|Unix|ISO-8601) "ISO-8601">
]>

<LIGO_LW Name="ligo:process:file">
   <Table Name="processgroup:process:table">
      <Column Name="processgroup:process:process_id" Type="ilwd:char"/>
      <Column Name="processgroup:process:program" Type="ilwd:char"/>
      <Column Name="processgroup:process:version" Type="ilwd:char"/>
      <Column Name="processgroup:process:cvs_repository" Type="ilwd:char"/>
      <Column Name="processgroup:process:cvs_entry_time" Type="int_4s"/>
      <Column Name="processgroup:process:comment" Type="ilwd:char"/>
      <Column Name="processgroup:process:is_online" Type="int_4s"/>
      <Column Name="processgroup:process:node" Type="ilwd:char"/>
      <Column Name="processgroup:process:username" Type="ilwd:char"/>
      <Column Name="processgroup:process:unix_procid" Type="int_4s"/>
      <Column Name="processgroup:process:start_time" Type="int_4s"/>
      <Column Name="processgroup:process:end_time" Type="int_4s"/>
      <Column Name="processgroup:process:param_set" Type="int_4s"/>
      <Column Name="processgroup:process:ifos" Type="ilwd:char"/>
      <Stream Name="processgroup:process:table" Type="Local" Delimiter=",">
         "process:process_id:0","test_program_0","1.0.0","/ldcg/test-0.0.0",949454063,"0\ parameters\ required",1,"Node_949454063","U_949454063",949454063,633489276,633489276,949454063,"I_949454063",
         "process:process_id:1","test_program_1","1.0.1","/ldcg/test-0.0.1",949454064,"1\ parameters\ required",2,"Node_949454064","U_949454064",949454064,633489277,633489277,949454064,"I_949454064"
      </Stream>
   </Table>
   <Table Name="process_paramsgroup:process_params:table">
      <Column Name="process_paramsgroup:process_params:program" Type="ilwd:char"/>
      <Column Name="process_paramsgroup:process_params:process_id" Type="ilwd:char"/>
      <Column Name="process_paramsgroup:process_params:param" Type="ilwd:char"/>
      <Column Name="process_paramsgroup:process_params:type" Type="ilwd:char"/>
      <Column Name="process_paramsgroup:process_params:value" Type="ilwd:char"/>
      <Stream Name="process_paramsgroup:process_params:table" Type="Local" Delimiter=",">
         "test_program_0","process:process_id:0","Param_949454063","T_949454063","Value_949454063",
         "test_program_1","process:process_id:1","Param_949454064","T_949454064","Value_949454064"
      </Stream>
   </Table>
   <Table Name="filtergroup:filter:table">
      <Column Name="filtergroup:filter:program" Type="ilwd:char"/>
      <Column Name="filtergroup:filter:start_time" Type="int_4s"/>
      <Column Name="filtergroup:filter:filter_id" Type="ilwd:char"/>
      <Column Name="filtergroup:filter:process_id" Type="ilwd:char"/>
      <Column Name="filtergroup:filter:filter_name" Type="ilwd:char"/>
      <Column Name="filtergroup:filter:param_set" Type="int_4s"/>
      <Stream Name="filtergroup:filter:table" Type="Local" Delimiter=",">
         "test_program_0",633489276,"filter:filter_id:0","process:process_id:0","test_filter_0",949454063,
         "test_program_1",633489277,"filter:filter_id:1","process:process_id:1","test_filter_1",949454064
      </Stream>
   </Table>
   <Table Name="filter_paramsgroup:filter_params:table">
      <Column Name="filter_paramsgroup:filter_params:filter_name" Type="ilwd:char"/>
      <Column Name="filter_paramsgroup:filter_params:filter_id" Type="ilwd:char"/>
      <Column Name="filter_paramsgroup:filter_params:param" Type="ilwd:char"/>
      <Column Name="filter_paramsgroup:filter_params:type" Type="ilwd:char"/>
      <Column Name="filter_paramsgroup:filter_params:value" Type="ilwd:char"/>
      <Stream Name="filter_paramsgroup:filter_params:table" Type="Local" Delimiter=",">
         "test_filter_0","filter:filter_id:0","param_949454063","type_949454063","value_949454063",
         "test_filter_1","filter:filter_id:1","param_949454064","type_949454064","value_949454064"
      </Stream>
   </Table>
   <Table Name="sngl_inspiralgroup:sngl_inspiral:table">
      <Column Name="sngl_inspiralgroup:sngl_inspiral:process_id" Type="ilwd:char"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:filter_id" Type="ilwd:char"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:event_id" Type="ilwd:char"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:ifo" Type="ilwd:char"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:end_time" Type="int_4s"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:end_time_ns" Type="int_4s"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:duration" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:fout_peak_time" Type="int_4s"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:fout_peak_time_ns" Type="int_4s"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:filter_duration" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:amplitude" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:mass1" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:mass2" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:coalescence_phase" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:eff_distance" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:snr" Type="real_4"/>
      <Column Name="sngl_inspiralgroup:sngl_inspiral:confidence" Type="real_4"/>
      <Stream Name="sngl_inspiralgroup:sngl_inspiral:table" Type="Local" Delimiter=",">
         "process:process_id:0","filter:filter_id:0","sngl_inspiral:event_id:0","H1",633489277,261218001,9.494541e+08,633489276,261671000,9.494541e+08,9.494541e+08,9.494541e+08,9.494541e+08,1,9.494541e+08,1,1,
         "process:process_id:1","filter:filter_id:1","sngl_inspiral:event_id:1","H1",633489278,261218002,9.494541e+08,633489277,261671001,9.494541e+08,9.494541e+08,9.494541e+08,9.494541e+08,2,9.494541e+08,2,2,
         "process:process_id:0","filter:filter_id:0","sngl_inspiral:event_id:2","H1",633489279,261218003,9.494541e+08,633489278,261671002,9.494541e+08,9.494541e+08,9.494541e+08,9.494541e+08,3,9.494541e+08,3,3
      </Stream>
   </Table>
   <Table Name="sngl_datasourcegroup:sngl_datasource:table">
      <Column Name="sngl_datasourcegroup:sngl_datasource:event_table" Type="ilwd:char"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:event_id" Type="ilwd:char"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:ifo" Type="ilwd:char"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:data_source" Type="ilwd:char"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:channels" Type="ilwd:char"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:start_time" Type="int_4s"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:start_time_ns" Type="int_4s"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:end_time" Type="int_4s"/>
      <Column Name="sngl_datasourcegroup:sngl_datasource:end_time_ns" Type="int_4s"/>
      <Stream Name="sngl_datasourcegroup:sngl_datasource:table" Type="Local" Delimiter=",">
         "sngl_inspiral","sngl_inspiral:event_id:0","H1","H2.F0\ H2.F1","C_949454063",633489276,264521000,633489277,264766001,
         "sngl_inspiral","sngl_inspiral:event_id:1","H1","H2.F0\ H2.F1","C_949454064",633489277,264521001,633489278,264766002,
         "sngl_inspiral","sngl_inspiral:event_id:2","H1","H2.F0\ H2.F1","C_949454065",633489278,264521002,633489279,264766003
      </Stream>
   </Table>
</LIGO_LW>